Name:		detox
Version:	1.4.5
Release:	%mkrel 1
Summary:	Utility to replace problematic characters in file names
Group:		File tools
License:	BSD
# http://detox.sourceforge.net/
URL:		https://github.com/dharple/detox
Source0:	https://github.com/dharple/detox/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	bison
BuildRequires:	flex

%description
Detox is a utility designed to clean up file names. It replaces difficult to
work with characters, such as spaces, with standard equivalents. It will also
clean up file names with UTF-8 or Latin-1 (or CP-1252) characters in them.

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_sysconfdir}/detoxrc.sample

%files
%doc CHANGELOG.md README.md THANKS.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/inline-%{name}
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man5/detox*
%{_mandir}/man1/detox*
%{_mandir}/man1/inline-%{name}.1.*


%changelog
* Sun Sep 11 2022 neoclust <neoclust> 1.4.5-1.mga9
+ Revision: 1886977
- New version 	1.4.5

* Thu Mar 17 2022 umeabot <umeabot> 1.4.1-2.mga9
+ Revision: 1797123
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1690671
- new version: 1.4.1

* Thu Feb 13 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1511824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1297425
- Mageia 7 Mass Rebuild

* Mon Mar 06 2017 daviddavid <daviddavid> 1.3.0-1.mga6
+ Revision: 1089127
- new version: 1.3.0

* Fri Mar 03 2017 daviddavid <daviddavid> 1.2.1-1.mga6
+ Revision: 1088625
- new version: 1.2.1
- remove merged upstream patch
- update URL and Source URL

* Sat Feb 06 2016 umeabot <umeabot> 1.2.0-4.mga6
+ Revision: 941596
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 748179
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 678718
- Mageia 5 Mass Rebuild

* Fri Mar 21 2014 david-david <david-david> 1.2.0-1.mga5
+ Revision: 606425
- imported package detox

